{
    "label": "gp_makeblastdb",
    "class": "Workflow",
    "requirements": [
        {
            "class": "StepInputExpressionRequirement"
        }
    ],
    "inputs": [
        {
            "type": {
                "type": "array",
                "items": "Directory"
            },
            "id": "#main/asn_cache"
        },
        {
            "type": [
                "null",
                "File"
            ],
            "id": "#main/asnb"
        },
        {
            "type": [
                "null",
                "File"
            ],
            "id": "#main/asnt"
        },
        {
            "type": "string",
            "id": "#main/dbtype"
        },
        {
            "type": [
                "null",
                "File"
            ],
            "id": "#main/fasta"
        },
        {
            "type": [
                "null",
                "File"
            ],
            "id": "#main/hardmask"
        },
        {
            "type": [
                "null",
                "File"
            ],
            "id": "#main/ids"
        },
        {
            "type": [
                "null",
                "File"
            ],
            "id": "#main/softmask"
        },
        {
            "type": "string",
            "id": "#main/title"
        }
    ],
    "steps": [
        {
            "run": {
                "class": "CommandLineTool",
                "baseCommand": "gp_makeblastdb",
                "inputs": [
                    {
                        "type": {
                            "type": "array",
                            "items": "Directory"
                        },
                        "inputBinding": {
                            "prefix": "-asn-cache",
                            "itemSeparator": ","
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/asn_cache"
                    },
                    {
                        "type": [
                            "null",
                            "File"
                        ],
                        "inputBinding": {
                            "prefix": "-asnb"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/asnb"
                    },
                    {
                        "type": [
                            "null",
                            "File"
                        ],
                        "inputBinding": {
                            "prefix": "-asnt"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/asnt"
                    },
                    {
                        "type": "string",
                        "inputBinding": {
                            "prefix": "-dbtype"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/dbtype"
                    },
                    {
                        "type": [
                            "null",
                            "File"
                        ],
                        "inputBinding": {
                            "prefix": "-fasta"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/fasta"
                    },
                    {
                        "type": "string",
                        "default": "found_ids.txt",
                        "inputBinding": {
                            "prefix": "-found-ids-output"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/found_ids_output_file"
                    },
                    {
                        "type": "string",
                        "default": "found_ids.mft",
                        "inputBinding": {
                            "prefix": "-found-ids-output-manifest"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/found_ids_output_manifest"
                    },
                    {
                        "type": [
                            "null",
                            "File"
                        ],
                        "inputBinding": {
                            "prefix": "-hardmask"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/hardmask"
                    },
                    {
                        "type": [
                            "null",
                            "File"
                        ],
                        "inputBinding": {
                            "prefix": "-ids"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/ids"
                    },
                    {
                        "type": "string",
                        "default": "blastdb",
                        "inputBinding": {
                            "prefix": "-db"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/output_db_file"
                    },
                    {
                        "type": "string",
                        "default": "blastdb.mft",
                        "inputBinding": {
                            "prefix": "-output-manifest"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/output_db_manifest"
                    },
                    {
                        "type": [
                            "null",
                            "File"
                        ],
                        "inputBinding": {
                            "prefix": "-softmask"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/softmask"
                    },
                    {
                        "type": "string",
                        "inputBinding": {
                            "prefix": "-title"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/title"
                    }
                ],
                "outputs": [
                    {
                        "type": {
                            "type": "array",
                            "items": "File"
                        },
                        "outputBinding": {
                            "glob": "blastdb.*"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/blastfiles"
                    },
                    {
                        "type": "string",
                        "outputBinding": {
                            "outputEval": "$(inputs.output_db_file)"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/dbname"
                    },
                    {
                        "type": "File",
                        "outputBinding": {
                            "glob": "$(inputs.found_ids_output_file)"
                        },
                        "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3/found_ids"
                    }
                ],
                "id": "#main/actual/4e72f261-5c79-4321-a761-8460823fa6b3"
            },
            "in": [
                {
                    "source": "#main/asn_cache",
                    "id": "#main/actual/asn_cache"
                },
                {
                    "source": "#main/asnb",
                    "id": "#main/actual/asnb"
                },
                {
                    "source": "#main/asnt",
                    "id": "#main/actual/asnt"
                },
                {
                    "source": "#main/dbtype",
                    "id": "#main/actual/dbtype"
                },
                {
                    "source": "#main/fasta",
                    "id": "#main/actual/fasta"
                },
                {
                    "source": "#main/hardmask",
                    "id": "#main/actual/hardmask"
                },
                {
                    "source": "#main/ids",
                    "id": "#main/actual/ids"
                },
                {
                    "source": "#main/softmask",
                    "id": "#main/actual/softmask"
                },
                {
                    "source": "#main/title",
                    "id": "#main/actual/title"
                }
            ],
            "out": [
                "#main/actual/blastfiles"
            ],
            "id": "#main/actual"
        },
        {
            "run": {
                "class": "CommandLineTool",
                "requirements": [
                    {
                        "class": "ShellCommandRequirement"
                    }
                ],
                "arguments": [
                    {
                        "shellQuote": false,
                        "valueFrom": "mkdir $(inputs.blastdir) && cp"
                    }
                ],
                "inputs": [
                    {
                        "type": "string",
                        "inputBinding": {
                            "position": 2
                        },
                        "id": "#main/mkdir/3724dd64-86f4-4247-a43d-26e35b07e6a3/blastdir"
                    },
                    {
                        "type": {
                            "type": "array",
                            "items": "File"
                        },
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#main/mkdir/3724dd64-86f4-4247-a43d-26e35b07e6a3/blastfiles"
                    }
                ],
                "outputs": [
                    {
                        "type": "Directory",
                        "outputBinding": {
                            "glob": "$(inputs.blastdir)"
                        },
                        "id": "#main/mkdir/3724dd64-86f4-4247-a43d-26e35b07e6a3/blastdb"
                    }
                ],
                "id": "#main/mkdir/3724dd64-86f4-4247-a43d-26e35b07e6a3"
            },
            "in": [
                {
                    "default": "blastdir",
                    "id": "#main/mkdir/blastdir"
                },
                {
                    "source": "#main/actual/blastfiles",
                    "id": "#main/mkdir/blastfiles"
                }
            ],
            "out": [
                "#main/mkdir/blastdb"
            ],
            "id": "#main/mkdir"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "type": "Directory",
            "outputSource": "#main/mkdir/blastdb",
            "id": "#main/blastdb"
        }
    ],
    "cwlVersion": "v1.0"
}
